Announcement

Collapse
No announcement yet.

Doesn't Compile

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Doesn't Compile

    I have downloaded the sketch from the Arduino plugin configuration page and tried to compile and download it. However, it doesn't compile. According to the configuration page I have version v1.0.0.131. The sketch version is listed as 1.0.0.127. API1.0.0.118. I guess I could try to make it compile but I suspect something else is going on. Any input is appreciated.

    Arduino: 1.6.8 (Windows 10), Board: "Arduino Nano, ATmega328"
    APIBoard1.ino: In function 'void setup()':
    APIBoard1:95: error: expected ')' before ';' token
    TCCR1B |= (1<<5; CS12); //1024 prescaler
    ^
    APIBoard1:95: error: expected ';' before ')' token
    TCCR1B |= (1<<5; CS12); //1024 prescaler
    ^
    In file included from C:\Program Files (x86)\Arduino\hardware\arduino\avr\cores\arduino/Arduino.h:30:0,
    from sketch\APIBoard1.ino.cpp:1:
    APIBoard1.ino: In function 'void Timer1_COMPA_vect()':
    APIBoard1.ino:116:5: warning: 'Timer1_COMPA_vect' appears to be a misspelled signal handler [enabled by default]
    ISR(Timer1_COMPA_vect)
    ^
    APIBoard1.ino: At global scope:
    APIBoard1.ino:466:17: warning: deprecated conversion from string constant to 'char*' [-Wwrite-strings]
    char* Version = "API1.0.0.118";
    ^
    exit status 1
    expected ')' before ';' token
    This report would have more information with
    "Show verbose output during compilation"
    option enabled in File -> Preferences.

  • #2
    Ah, duh!! When I started the Arduino environment it loaded a previous project. That was with the "Arduino API" where I was playing around with timers and it was that part that didn't compile. Thinking my newest project was loaded, I didn't investigate the code because for an "Arduino" (not API) project I am not supposed to change any code.

    Comment

    Working...
    X